import bisect
import random

def left_or_right(L, R, X):
  N = len(X)

  X.sort()

  sumX = X[:]
  for i in range(1, N):
    sumX[i] += sumX[i-1]
  sumX.append(0)

  ans = 0
  for x0 in X:
    i = bisect.bisect_right(X, (R+L)-x0)

    ans += (x0 * i + sumX[i-1]) - 2*L*i
    ans += 2*R*(N-i) - (x0 * (N-i) + (sumX[N-1] - sumX[i-1]))

  return ans


def sum_diffs(X):
  left_sum_x = 0
  left_cnt = 0
  right_sum_x = sum(X)
  right_cnt = len(X)

  ans = 0
  for x in X:
    right_sum_x -= x
    right_cnt -= 1

    ans += x * left_cnt - left_sum_x
    ans += right_sum_x - x * right_cnt

    left_sum_x += x
    left_cnt += 1
  
  return ans


def solve(X, P):
  S = [[] for _ in range(len(X))]
  ans = 0

  for x, y in P:
    a = bisect.bisect_right(X, x) - 1
    S[a].append((x, y))

  left_sum_x = 0
  left_cnt = 0
  right_sum_x = sum(x for x, _ in P)
  right_cnt = len(P)

  for a in range(len(S)):
    for x, y in S[a]:
      right_sum_x -= x
      right_cnt -= 1

    for x, y in S[a]:
      ans += right_sum_x - right_cnt * x
      ans += left_cnt * x - left_sum_x
    
    for x, y in S[a]:
      left_sum_x += x
      left_cnt += 1

  for a in range(len(S) - 1):
    W = {}
    for x, y in S[a]:
      if y not in W:
        W[y] = []
      W[y].append(x)

    ans += left_or_right(X[a], X[a+1], [x for x, y in S[a]])
    for xs in W.values():
      ans -= left_or_right(X[a], X[a+1], xs)
      ans += sum_diffs(xs)

  ans //= 2
  return ans


def main():
  N, M, K = map(int, input().split())
  X = [-10**10] + sorted(list(map(int, input().split()))) + [10**10]
  Y = [-10**10] + sorted(list(map(int, input().split()))) + [10**10]
  P = [tuple(map(int, input().split())) for _ in range(K)]

  RND = random.randint(2**60, 2**61)

  ans = solve(X, [(x, RND+y) for x, y in P]) + solve(Y, [(y, RND+x) for x, y in P])
  print(ans)


if __name__ == '__main__':
  main()